declare var _default: import("vue").DefineComponent<{
    value: import("vue-types").VueTypeDef<string | number>;
    defaultValue: import("vue-types").VueTypeDef<string | number>;
    focusOnUpDown: import("vue-types").VueTypeValidableDef<boolean>;
    autofocus: import("vue-types").VueTypeValidableDef<boolean>;
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    tabindex: import("vue-types").VueTypeDef<string | number>;
    placeholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean>;
    readonly: import("vue-types").VueTypeValidableDef<boolean>;
    max: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    min: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    step: import("vue-types").VueTypeDef<string | number>;
    upHandler: import("vue-types").VueTypeValidableDef<any>;
    downHandler: import("vue-types").VueTypeValidableDef<any>;
    useTouch: import("vue-types").VueTypeValidableDef<boolean>;
    formatter: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    parser: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    precision: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    required: import("vue-types").VueTypeValidableDef<boolean>;
    pattern: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    decimalSeparator: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    autocomplete: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    title: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    name: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    id: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    type: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    maxlength: import("vue-types").VueTypeValidableDef<any>;
}, any, {
    inputValue: any;
    sValue: any;
    focused: boolean;
}, {}, {
    updatedFunc(): void;
    onKeyDown(e: any, ...args: any[]): void;
    onKeyUp(e: any, ...args: any[]): void;
    onTrigger(e: any): false;
    onChange(e: any): void;
    onFocus(...args: any[]): void;
    onBlur(...args: any[]): void;
    getCurrentValidValue(value: any): any;
    getRatio(e: any): number;
    getValueFromEvent(e: any): any;
    getValidValue(value: any, min?: any, max?: any): any;
    setValue(v: any, callback: any): number;
    getPrecision(value: any): number;
    getMaxPrecision(currentValue: any, ratio?: number): number;
    getPrecisionFactor(currentValue: any, ratio?: number): number;
    getInputDisplayValue(state: any): any;
    recordCursorPosition(): void;
    fixCaret(start: any, end: any): void;
    restoreByAfter(str: any): boolean;
    partRestoreByAfter(str: any): any;
    focus(): void;
    blur(): void;
    formatWrapper(num: any): any;
    toPrecisionAsStep(num: any): any;
    isNotCompleteNumber(num: any): boolean;
    toNumber(num: any): any;
    upStep(val: any, rat: any): any;
    downStep(val: any, rat: any): any;
    stepFn(type: any, e: any, ratio: number, recursive: any): void;
    stop(): void;
    down(e: any, ratio: any, recursive: any): void;
    up(e: any, ratio: any, recursive: any): void;
    handleInputClick(): void;
    saveUp(node: any): void;
    saveDown(node: any): void;
    saveInput(node: any): void;
    onCompositionstart(e: any): void;
    onCompositionend(e: any): void;
}, {
    methods: {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    };
}, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    value?: unknown;
    defaultValue?: unknown;
    focusOnUpDown?: unknown;
    autofocus?: unknown;
    prefixCls?: unknown;
    tabindex?: unknown;
    placeholder?: unknown;
    disabled?: unknown;
    readonly?: unknown;
    max?: unknown;
    min?: unknown;
    step?: unknown;
    upHandler?: unknown;
    downHandler?: unknown;
    useTouch?: unknown;
    formatter?: unknown;
    parser?: unknown;
    precision?: unknown;
    required?: unknown;
    pattern?: unknown;
    decimalSeparator?: unknown;
    autocomplete?: unknown;
    title?: unknown;
    name?: unknown;
    id?: unknown;
    type?: unknown;
    maxlength?: unknown;
} & {
    max: number;
    title: string;
    pattern: string;
    type: string;
    id: string;
    name: string;
    prefixCls: string;
    placeholder: string;
    min: number;
    decimalSeparator: string;
    precision: number;
    autocomplete: string;
} & {
    required?: boolean;
    readonly?: boolean;
    disabled?: boolean;
    value?: string | number;
    step?: string | number;
    autofocus?: boolean;
    tabindex?: string | number;
    defaultValue?: string | number;
    maxlength?: any;
    formatter?: (...args: any[]) => any;
    parser?: (...args: any[]) => any;
    focusOnUpDown?: boolean;
    useTouch?: boolean;
    upHandler?: any;
    downHandler?: any;
}>, {
    max: number;
    title: string;
    pattern: string;
    type: string;
    id: string;
    name: string;
    prefixCls: string;
    placeholder: string;
    min: number;
    formatter: (...args: any[]) => any;
    parser: (...args: any[]) => any;
    decimalSeparator: string;
    precision: number;
    autocomplete: string;
}>;
export default _default;
